module.exports = {
  fontSize: {
    '9xl': ['8rem', { lineHeight: '1' }],
    '8xl': ['6rem', { lineHeight: '1' }],
    '7xl': ['4.5rem', { lineHeight: '1' }],
    '6xl': ['3.75rem', { lineHeight: '1' }],
    '5xl': ['3rem', { lineHeight: '1' }],
    '4xl': ['2.25rem', { lineHeight: '2.5rem' }],
    '3xl': ['1.875rem', { lineHeight: '2.25rem' }],
    '2xl': ['1.5rem', { lineHeight: '2rem' }],
    xl: ['1.25rem', { lineHeight: '1.75rem' }],
    lg: ['1.125rem', { lineHeight: '1.75rem' }],
    base: ['1rem', { lineHeight: '1.5rem' }],
    sm: ['0.875rem', { lineHeight: '1.25rem' }],
    xs: ['0.75rem', { lineHeight: '1rem' }]
  },
  lineHeight: {
    10: '2.5rem',
    9: '2.25rem',
    8: '2rem',
    7: '1.75rem',
    6: '1.5rem',
    5: '1.25rem',
    4: '1rem',
    3: '.75rem',
    loose: '2',
    relaxed: '1.625',
    normal: '1.5',
    snug: '1.375',
    tight: '1.25',
    none: '1'
  },
  opacity: {
    100: '1',
    95: '0.95',
    90: '0.9',
    85: '0.85',
    80: '0.8',
    75: '0.75',
    70: '0.7',
    65: '0.65',
    60: '0.6',
    55: '0.55',
    50: '0.5',
    45: '0.45',
    40: '0.4',
    35: '0.35',
    30: '0.3',
    25: '0.25',
    20: '0.2',
    15: '0.15',
    10: '0.1',
    5: '0.05',
    0: '0'
  },
  spacing: {
    96: '24rem',
    80: '20rem',
    72: '18rem',
    64: '16rem',
    60: '15rem',
    56: '14rem',
    52: '13rem',
    50: '12.5rem',
    48: '12rem',
    45: '11.25rem',
    44: '11rem',
    40: '10rem',
    36: '9rem',
    32: '8rem',
    28: '7rem',
    24: '6rem',
    20: '5rem',
    16: '4rem',
    14: '3.5rem',
    12: '3rem',
    11: '2.75rem',
    10: '2.5rem',
    9: '2.25rem',
    8: '2rem',
    7: '1.75rem',
    6: '1.5rem',
    5: '1.25rem',
    4: '1rem',
    3.5: '0.875rem',
    3: '0.75rem',
    2.5: '0.625rem',
    2: '0.5rem',
    1.5: '0.375rem',
    1: '0.25rem',
    0.5: '0.125rem',
    0: '0px',
    px: '1px'
  },
  boxShadow: {
    none: 'none',
    inner: 'inset 0 2px 4px 0 rgb(0 0 0 / 0.05)',
    '2xl': '0 25px 50px -12px rgb(0 0 0 / 0.25)',
    xl: '0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)',
    lg: '0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)',
    md: '0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)',
    DEFAULT: '0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)',
    sm: '0 1px 2px 0 rgb(0 0 0 / 0.05)'
  },
  borderWidth: {
    8: '8px',
    4: '4px',
    2: '2px',
    0: '0px',
    DEFAULT: '1px'
  },
  borderRadius: {
    full: '9999px',
    '3xl': '1.5rem',
    '2xl': '1rem',
    xl: '0.75rem',
    lg: '0.5rem',
    md: '0.375rem',
    sm: '0.125rem',
    DEFAULT: '0.25rem',
    none: '0px'
  }
}
